#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires valid $DISPLAY)
#
%define		pdir	Tk
%define		pnam	Tk
Summary:	Tk - a graphical user interface toolkit for Perl
Summary(pl.UTF-8):	Tk - toolkit graficznego interfejsu użytkownika dla Perla
Name:		perl-Tk
Version:	804.036
Release:	4%{?tld}
# same as perl (except pTk dir - BSD-like)
License:	GPL v1+ or Artistic, parts BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SR/SREZIC/%{pnam}-%{version}.tar.gz
# Source0-md5:	d663d4cbf33a3ed92c8d2ede22aaed60
Patch0:		%{name}-misc.patch
Patch1:		%{name}-man_section.patch
Patch2:		%{name}-link.patch
URL:		https://metacpan.org/release/Tk
BuildRequires:	perl-Tie-Watch
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Encode
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXft-devel
Obsoletes:	perl-Tk-JPEG < 2.015
Obsoletes:	perl-Tk-PNG < 2.006
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	WidgetDemo

%description
Perl Tk extension aims to provide a complete interface to the latest
production version of John Ousterhout's Tk GUI toolkit, while
providing an Object Oriented interface to Perl code.

%description -l pl.UTF-8
Rozszerzenie Perla Tk ma na celu udostępnienie pełnego interfejsu do
najnowszej produkcyjnej wersji toolkitu graficznego Tk Johna
Ousterhouta, jednocześnie zapewniając zorientowany obiektowo interfejs
dla kodu w Perlu.

%package devel
Summary:	Perl Tk - development files
Summary(pl.UTF-8):	Perl Tk - pliki programistyczne
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description devel
This package gives you the ability to develop Perl applications for
the Tk GUI.

%description devel -l pl.UTF-8
Ten pakiet umożliwia tworzenie aplikacji Perlowych przy użyciu
graficznego interfejsu użytkownika Tk.

%prep
%setup -q -n %{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# sync with current Xlib
ln -sf /usr/include/X11/Xlib.h pTk/Xlib.h

%{__perl} Makefile.PL \
	XFT=1 \
	INSTALLDIRS=vendor \
	X11LIB=/usr/%{_lib}
%{__sed} -i -e 's/<default.h>/"default.h"/g' pTk/tixDef.h
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorlib}/Tk,%{_examplesdir}/%{name}-%{version}}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

# put demos to examples dir. do they work? don't know. didn't test
%{__mv} $RPM_BUILD_ROOT{%{perl_vendorarch}/Tk/demos,%{_examplesdir}/%{name}-%{version}}

# perl-Tie-Watch packaged in system
%{__rm} $RPM_BUILD_ROOT{%{_mandir}/man3/Tie::Watch.3pm,%{perl_vendorarch}/Tie/Watch.pm}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Tk{,/*}.pod
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Tk/.packlist

# in %doc
%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Tk/{Credits,README.*,license.terms}

find $RPM_BUILD_ROOT -type f | xargs sed -i -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README README.linux ToDo Funcs.doc
%doc Tk/Credits Tk/license.terms Tk/README.Adjust
%attr(755,root,root) %{_bindir}/gedi
%attr(755,root,root) %{_bindir}/tkjpeg
%dir %{perl_vendorlib}/Tk
%{perl_vendorarch}/Tk.pm
%dir %{perl_vendorarch}/Tk
%{perl_vendorarch}/Tk/DragDrop
%{perl_vendorarch}/Tk/Event
%{perl_vendorarch}/Tk/Menu
%{perl_vendorarch}/Tk/Text
%{perl_vendorarch}/Tk/[A-L]*.pm
%{perl_vendorarch}/Tk/[N-Z]*.pm
%{perl_vendorarch}/Tk/M[a-z]*.pm
%{perl_vendorarch}/Tk/widgets.pm
# most of the bitmaps are used by demos
%{perl_vendorarch}/Tk/*.x[bp]m
%dir %{perl_vendorarch}/auto/Tk
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/Tk.so
%{perl_vendorarch}/auto/Tk/autosplit.ix
%{perl_vendorarch}/auto/Tk/*.al
%dir %{perl_vendorarch}/auto/Tk/[BHLMNPWXp]*
%dir %{perl_vendorarch}/auto/Tk/Canvas
%dir %{perl_vendorarch}/auto/Tk/C[lo]*
%dir %{perl_vendorarch}/auto/Tk/Entry
%dir %{perl_vendorarch}/auto/Tk/Event
%dir %{perl_vendorarch}/auto/Tk/Frame
%dir %{perl_vendorarch}/auto/Tk/IO
%dir %{perl_vendorarch}/auto/Tk/InputO
%dir %{perl_vendorarch}/auto/Tk/Sc*
%dir %{perl_vendorarch}/auto/Tk/T[Laeio]*
%dir %{perl_vendorarch}/auto/Tk/JPEG
%{perl_vendorarch}/auto/Tk/*/autosplit.ix
%{perl_vendorarch}/auto/Tk/*/*.al
%{perl_vendorarch}/auto/Tk/*/*.ld
%attr(755,root,root) %{perl_vendorarch}/auto/Tk/*/*.so
%{_mandir}/man1/tkjpeg.1p*
%{_mandir}/man3/Tk*.3pm*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ptked
%attr(755,root,root) %{_bindir}/ptksh
%attr(755,root,root) %{_bindir}/widget
%{perl_vendorarch}/Tk/MMtry.pm
%{perl_vendorarch}/Tk/MMutil.pm
%{perl_vendorarch}/Tk/install.pm
%{perl_vendorarch}/Tk/TkXSUB.def
%{perl_vendorarch}/Tk/vtab.def
%{perl_vendorarch}/Tk/ppport.h
%{perl_vendorarch}/Tk/prolog.ps
%{perl_vendorarch}/Tk/typemap
%{perl_vendorarch}/Tk/pTk
%{perl_vendorarch}/Tk/tkGlue*
%{perl_vendorarch}/Tk/*.gif
%{_mandir}/man1/ptked.1p*
%{_mandir}/man1/ptksh.1p*
%{_mandir}/man1/widget.1p*
%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jul 22 2023 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Tk.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> d382c1b
- perl 5.38.0 rebuild

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> bdcb0a8
- perl 5.36.0 rebuild

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 5c9a306
- versioned Obsoletes

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> d566fa1
- rebuild with perl 5.34.0

* Sat May 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 504e266
- updated URL and macros, package ppport.h

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 8fc0785
- up to 804.036

* Sat May 08 2021 Jan Rękorajski <baggins@pld-linux.org> cac0f4a
- rediff patches, rel 3

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 52c9e8b
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 45d4913
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 91f57eb
- up to 804.034

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 56cb900
- release 5

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7296a1b
- perl req/prov fix
- release 4 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 032654c
- rebuild with perl 5.26
- release 3 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9d869dc
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Sun Jan 10 2016 Jakub Bogusz <qboosh@pld-linux.org> 2388eb5
- test BRs

* Mon Dec 28 2015 Jan Rękorajski <baggins@pld-linux.org> 94e94fa
- up to 804.033

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> 1e58a56
- release 5 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 730a100
- release 4 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 4bcc1b3
- x32 rebuild
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 5e6ef75
- x32 rebuild
- release 2 (by relup.sh)

